<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='URI:Scheme:MailTo' id=''>
  <import-decl name='Opaque' id='Opaque' export='no' module='URI:Scheme:Opaque'/>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <class name='URI'>
    <type-decl name='URI' id='URI' export='yes'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='URIDesc' href='#URIDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='URIDesc' id='URIDesc' export='no'>
      <type>
        <record/>
      </type>
    </type-decl>
    <procedure name='Init' id='Init' export='yes'>
      <formal-parameters>
        <parameter-decl name='mailto' id='Init.mailto' export='no' variable-parameter='no'>
          <type>
            <type-name name='URI' href='#URI'/>
          </type>
        </parameter-decl>
        <parameter-decl name='schemeId' id='Init.schemeId' export='no' variable-parameter='no'>
          <type>
            <type-name name='STRING' href='#STRING'/>
          </type>
        </parameter-decl>
        <parameter-decl name='opaque' id='Init.opaque' export='no' variable-parameter='no'>
          <type>
            <type-name name='STRING' href='#STRING'/>
          </type>
        </parameter-decl>
      </formal-parameters>
    </procedure>
    <procedure name='New' id='New' export='yes'>
      <formal-parameters>
        <parameter-decl name='schemeId' id='New.schemeId' export='no' variable-parameter='no'>
          <type>
            <type-name name='STRING' href='#STRING'/>
          </type>
        </parameter-decl>
        <parameter-decl name='opaque' id='New.opaque' export='no' variable-parameter='no'>
          <type>
            <type-name name='STRING' href='#STRING'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name name='URI' href='#URI'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='Clone' id='URIDesc.Clone' export='yes'>
      <doc-inherited-from module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
      <oberon-doc>
        <summary>Creates a deep copy of the URI referenced by <oberon-param href='#URIDesc.Clone.mailto'>mailto</oberon-param>.</summary>
        <p pad-after='yes' no-indent='yes'>Creates a deep copy of the URI referenced by <oberon-param href='#URIDesc.Clone.mailto'>mailto</oberon-param>.  That is, it creates a new instance of <oberon-param href='#URIDesc.Clone.mailto'>mailto</oberon-param> and calls <oberon-proc href='URI#URIDesc.Copy'>URI.Copy</oberon-proc> on it.</p>
      </oberon-doc>
      <formal-parameters>
        <receiver-decl name='mailto' id='URIDesc.Clone.mailto' export='no' variable-parameter='no'>
          <type>
            <type-name name='URI' href='#URI'/>
          </type>
        </receiver-decl>
        <result-type>
          <type-name name='URI' href='#URI'/>
        </result-type>
      </formal-parameters>
      <redefined-method module='URI:Scheme:Opaque' name='Clone' class='Generic' href='URI:Scheme:Opaque#GenericDesc.Clone'/>
      <redefined-method module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
      <redefined-method module='URI' name='Clone' class='URI' href='URI#URIDesc.Clone'/>
    </procedure>
    <procedure name='NewPrototype' id='NewPrototype' export='yes'>
      <formal-parameters>
        <result-type>
          <type-name name='URI' href='#URI'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <base-class module='URI:Scheme:Opaque' class='Generic' href='URI:Scheme:Opaque#Generic'>
      <inherited-method module='URI:Scheme:Opaque' name='Clone' class='Generic' href='URI:Scheme:Opaque#GenericDesc.Clone'/>
      <inherited-method module='URI:Scheme:Opaque' name='Copy' class='Generic' href='URI:Scheme:Opaque#GenericDesc.Copy'/>
      <inherited-method module='URI:Scheme:Opaque' name='ParseOpaquePart' class='Generic' href='URI:Scheme:Opaque#GenericDesc.ParseOpaquePart'/>
      <inherited-method module='URI:Scheme:Opaque' name='ToString' class='Generic' href='URI:Scheme:Opaque#GenericDesc.ToString'/>
      <inherited-method module='URI:Scheme:Opaque' name='WriteXML' class='Generic' href='URI:Scheme:Opaque#GenericDesc.WriteXML'/>
      <inherited-field module='URI:Scheme:Opaque' name='opaque' class='Generic' href='URI:Scheme:Opaque#GenericDesc.opaque'/>
      <base-class module='URI' class='OpaqueURI' href='URI#OpaqueURI'>
        <base-class module='URI' class='URI' href='URI#URI'>
          <inherited-method module='URI' name='AppendScheme' class='URI' href='URI#URIDesc.AppendScheme'/>
          <inherited-method module='URI' name='GetChannel' class='URI' href='URI#URIDesc.GetChannel'/>
          <inherited-method module='URI' name='MakeRelative' class='URI' href='URI#URIDesc.MakeRelative'/>
          <inherited-method module='URI' name='SetSchemeId' class='URI' href='URI#URIDesc.SetSchemeId'/>
          <inherited-field module='URI' name='schemeId' class='URI' href='URI#URIDesc.schemeId'/>
          <base-class module='Object' class='Object' href='Object#Object'>
            <inherited-method module='Object' name='Equals' class='Object' href='Object#ObjectDesc.Equals'/>
            <inherited-method module='Object' name='HashCode' class='Object' href='Object#ObjectDesc.HashCode'/>
          </base-class>
        </base-class>
      </base-class>
    </base-class>
  </class>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='../../Object.html'/>
  </module-ref>
  <module-ref name='URI'>
    <ref-target type='html' relative-uri='../../URI.html'/>
  </module-ref>
  <module-ref name='URI:Scheme:Opaque'>
    <ref-target type='html' relative-uri='Opaque.html'/>
  </module-ref>
</interface-description>
